<?
if(isset($_GET['add']))
{
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Добавить</h1></div>";
echo '<div class="content"><div class="block">';
if(isset($_POST['ok']))
{
$level=intval($_POST['level']);
$rating=intval($_POST['rating']);
$rubies=intval($_POST['rubies']);
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверное к-тво опыта');}
if(!is_numeric($rubies) || strlen2($rubies)<1){$err=1;err_game('Неверное к-тво рубинов');}
if (!isset($err))
{
mysql_querll("INSERT INTO `kolhoz_level` SET `level` = '$level', `rating` = '$rating', `rubies` = '$rubies'");
header("location: ?admin=$admin");
}
}
echo "<form method=\"post\">\n";
echo "Номер уровня:<br /><input name=\"level\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "К-тво опыта, нужное для перехода на уровень:<br /><input name=\"rating\" type=\"text\" maxlength='32' value=''/><br />\n";
echo "Вознаграждение(рубины):<br /><input name=\"rubies\" type=\"text\" maxlength='32' value='' /><br />\n";
echo "<input value='Добавить' type='submit' name='ok' /><br />\n";
echo "</form>\n";
echo "</div>";
include_once 'inc/foot.php';
exit;
}





if(isset($_GET['edit']) && intval($_GET['edit'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_level` WHERE `id` = '".intval($_GET['edit'])."'"),0)!=0)
{
echo "<div class='event'><h1><a href='?admin=$admin'>$admin_name</a> / Редактировать</h1></div>";
echo '<div class="content"><div class="block">';
$edit=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_level` WHERE `id` = '".intval($_GET['edit'])."'"));
if(isset($_POST['ok']))
{
$level=intval($_POST['level']);
$rating=intval($_POST['rating']);
$rubies=intval($_POST['rubies']);
if(!is_numeric($level) || strlen2($level)<1){$err=1;err_game('Неверный уровень');}
if(!is_numeric($rating) || strlen2($rating)<1){$err=1;err_game('Неверное к-тво опыта');}
if(!is_numeric($rubies) || strlen2($rubies)<1){$err=1;err_game('Неверное к-тво рубинов');}
if (!isset($err))
{
mysql_querll("UPDATE `kolhoz_level` SET `level` = '$level', `rating` = '$rating', `rubies` = '$rubies' WHERE `id` = '$edit[id]'");
header("Location:?admin=$admin");
}
}
echo "<form method=\"post\">\n";
echo "Номер уровня:<br /><input name=\"level\" type=\"text\" maxlength='32' value='$edit[level]' /><br />\n";
echo "К-тво опыта, нужное для перехода на уровень:<br /><input name=\"rating\" type=\"text\" maxlength='32' value='$edit[rating]'/><br />\n";
echo "Вознаграждение(рубины):<br /><input name=\"rubies\" type=\"text\" maxlength='32' value='$edit[rubies]' /><br />\n";
echo "<input value='Сохранить' type='submit' name='ok' /></form>\n";
echo "<div><br/>&raquo; <a href='?admin=$admin&del=$edit[id]'>Удалить</a></div>";
echo "</div>";
include_once 'inc/foot.php';
exit;
}



if(isset($_GET['del']) && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_level` WHERE `id` = '".intval($_GET['del'])."'"),0)!=0)
{
$del=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_level` WHERE `id` = '".intval($_GET['del'])."'"));
if(isset($_GET['ok']))
{
mysql_querll("DELETE FROM `kolhoz_level` WHERE `id` = '$del[id]'");
header("Location:?admin=$admin");
}
podtv("?admin=$admin&del=$del[id]&ok","?admin=$admin");
echo "</div>";
include_once 'inc/foot.php';
exit;
}

echo "<div class='event'><h1><a href='?admin=list'>Админка</a> / $admin_name</h1></div>";
echo '<div class="content"><div class="block">';


$k_post = mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_level`"),0);
if ($k_post==0)
{
echo "Список пуст...";
}
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_querll("SELECT * FROM `kolhoz_level` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while($post=mysql_fetch_array($q))
{
echo "<li><a href='?admin=$admin&edit=$post[id]'><span>$post[level] уровень</span></a> (<img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span>$post[rubies]</span> <img width='16' height='16' src='images/icons/experience.png' alt='o'>
<span>".rating($post['rating'])."</span>)</li>";
}
if ($k_page>1)str("?admin=$admin&",$k_page,$page); // Вывод страниц
echo "<div><a href='?admin=$admin&add'>Добавить уровень</a></div>";
echo "</ul></div>";
include_once 'inc/foot.php';
exit;
?>